# mhash

(PHP 4, PHP 5, PHP 7, PHP 8)

mhash — Computes hash

警告

此函数自 PHP 8.1.0 起弃用。强烈建议不要应用此函数。

### 说明

#[\Deprecated]
mhash(int `$algo`, string `$data`, ?string `$key` = `null`): string|false

mhash() applies a hash function specified by `algo` to the `data`.

### 参数

`algo`

  The hash ID. One of the `MHASH_hashname` constants.

`data`

  The user input, as a string.

`key`

  If specified, the function will return the resulting HMAC instead. HMAC is keyed hashing for message authentication, or simply a message digest that depends on the specified key. Not all algorithms supported in mhash can be used in HMAC mode.

### 返回值

Returns the resulting hash (also called digest) or HMAC as a string, or `false` on error.

### 更新日志

版本 | 说明
--- | ---
8.1.0 | This function has been deprecated. Use the `hash_*()` functions instead.
8.0.0 | `key` is now nullable.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open